Bug 3236 - keyboard mapping and console font not set
keyboard mapping and console font not set
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-03 08:33 EDT by atan
Modified: 2015-07-02 17:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-14 17:35:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description atan 1999-06-03 08:33:45 EDT
The loading of keyboard mapping and console font is done in
/etc/rc.d/rc.sysinit, _before_ partitions other than / are
mounted. As my /usr resides on a different partition, fonts
and mappings cannot be found this early.
I moved both tasks downward in the script, just after
mount -a. This did the job.
Comment 1 Bill Nottingham 1999-06-14 17:35:59 EDT
it will get loaded by the keytable init script when it is run
as well, which is after the root partition is mounted. It's
at the beginning also for those who
a) have no separate /usr
b) have put their keymaps & font data in /etc/sysconfig/console...
Comment 2 openshift-github-bot 2015-07-02 17:18:22 EDT
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/e04f8d1f276a9e017c5eb2235256dc3f5ea2cfb3
Merge pull request #3242 from sdodson/issue3236

Merged by openshift-bot

Note You need to log in before you can comment on or make changes to this bug.